# Variable hex`Const`

hex: {
decode: ((input) => Uint8Array);
encode: ((input, prefix?) => string);
valid: ((input) => boolean);
}

#### Type declaration

- ##### decode: ((input) => Uint8Array)

  - - (input): Uint8Array

    - #### Parameters

      - ##### input: string

      #### Returns Uint8Array

- ##### encode: ((input, prefix?) => string)

  - - (input, prefix?): string

    - #### Parameters

      - ##### input: string | Uint8Array

      - ##### `Optional` prefix: boolean

      #### Returns string

- ##### valid: ((input) => boolean)

  - - (input): boolean

    - #### Parameters

      - ##### input: string

      #### Returns boolean

- Defined in core/base/dist/esm/utils/encoding.d.ts:3

Generated using TypeDoc